Subject: Re: bug#33452: Color of tooltip text on macOS with dark mode

From: Tak Kunihiro <[email-masked]>
Date: Thu, 22 Nov 2018 21:44:04 +0900 (JST)

>>>>> When Emacs 26.1.90 is launched on macOS with dark mode, color of
>>>>> tooltip text is set to white. It is hard to read the text.
>>>> 
>>>> Is this problem new with Emacs 26.1.90?
>>> 
>>> I do not see the problem in 27.0.50.
>> 
>> Can you test with Emacs 26.1?

Emacs 26.1 build on macOS Mojave (10.14) cannot show text even on
scratch buffer.  I cannot test Emacs 26.1 build under macOS Mojave
(10.14).

>> In any case, it sounds like the problem, whatever it is, was solved on
>> master.
> 
> I expect it was commit 15cd18991c1d9a9bafeef7bf9b4dad91ecc0332a.n
> 
> It’s pretty small and is probably safe to backport to emacs-26.

I applied the commit 15cd18991c1d9a9bafeef7bf9b4dad91ecc0332a to
26.1.90 and confirmed that I do not see the problem.